// --- [ ir_master.h ] -------------------------------------------------------
//       tab = 3, 24.01.09
extern uint8_t IR_send(uint8_t);

extern void IR_init(void);
extern void IR_rx_off(void);
extern uint8_t IR_complete(void);
extern uint8_t IR_read(void);
extern uint8_t IR_state(void);

// Konstanten
#define PWM_ON				(1<<CS00) 			// TCCR0B - Timer0 starten mit Prescale 1
#define PWM_OFF			0						// TCCR0B - Timer0 stoppen
#define IR_CONFIG			(1<<COM0B0 | 1<<WGM01)// TCCR0A - OC0B toggle, CTC Mode
#define COMPARE			110					// 8.000.000 / 2 * (110 + 1) = 36.036 KHz

#define OSCCAL_DEFAULT 0x5B					// individueller Wert fr jeden Chip/Spannung

														// Anschluss fr Sender
#define DDR_IR_PORT		DDRB					// DDR_Port fr OC0B
#define IR_PORT			PORTB					// Port fr OC0B
#define IR_PIN				PB1					// Pin fr OC0B
#define IR_BITS			16						// 16 Bit senden

#define TRUE				1
#define FALSE				0

#define PCINT_PORT		PINB					// Anschluss fr Empfnger
#define PCINT_PIN			PB4
#define READ_BITS			8						// Anzahl der einzulesenden Bits
#define T0_START			(1<<CS01 | 1<<CS00)// Prescale = 64
#define T0_STOP			0
#define T0_PRELOAD		256 - 187			// nach ca. 1.5 Bitzeit gibt es TIMER0_OVF
														// die Bitzeit betrgt 36 Takte
#define hT					62						// halber Takt
#define gT					125					// ganzer Takt
#define TO					24						// Toleranz +- 10%

//#define TESTMODE			FALSE					// im Test-Modus schickt der Master jede Sekunde
#define TESTMODE		TRUE					// einen Schaltbefehl los, 
														// trotzdem mssen die IR_Slave Adressen bereinstimmen !!
														// (zum Testen ohne einen TWI-Bus-Master)
														
// --- [ end of file ] --------------------------------------------------------


